<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Direct access not allowed.
}

/**
 * ------------------------------------------------------------------------------------------------
 * Products widget shortcode
 * ------------------------------------------------------------------------------------------------
 */
class CHESHALO_ShortcodeProductsWidget {

	function __construct() {
		add_shortcode( 'cheshalo_shortcode_products_widget', array( $this, 'cheshalo_shortcode_products_widget' ) );
	}

	public function add_category_order( $query_args ) {
		$ids = explode( ',', $this->ids );
		if ( ! empty( $ids[0] ) ) {
			$query_args['tax_query'][] = array(
				'taxonomy' => 'product_cat',
				'field'    => 'id',
				'terms'    => $ids,
			);
		}
		return $query_args;
	}

	public function add_product_order( $query_args ) {
		$ids = explode( ',', $this->include_products );

		if ( ! empty( $ids[0] ) ) {
			$query_args['post__in']       = $ids;
			$query_args['orderby']        = 'post__in';
			$query_args['posts_per_page'] = -1;
		}

		return $query_args;
	}

	public function cheshalo_shortcode_products_widget( $atts ) {
		global $cheshalo_widget_product_img_size;
		$output = $title = $el_class = '';
		$atts   = shortcode_atts(
			array(
				'title'            => '',
				'show'             => '',
				'number'           => 3,
				'include_products' => '',
				'orderby'          => 'date',
				'order'            => 'asc',
				'ids'              => '',
				'hide_free'        => 0,
				'show_hidden'      => 0,
				'images_size'      => 'woocommerce_thumbnail',
				'el_class'         => '',
			),
			$atts
		);
		extract( $atts );

		$cheshalo_widget_product_img_size = $images_size;
		$this->ids                        = $ids;
		$this->include_products           = $include_products;
		$output                           = '<div class="widget_products' . $el_class . '">';
		$type                             = 'WC_Widget_Products';

		$args = array( 'widget_id' => uniqid() );

		ob_start();

		add_filter( 'woocommerce_products_widget_query_args', array( $this, 'add_category_order' ), 10 );
		add_filter( 'woocommerce_products_widget_query_args', array( $this, 'add_product_order' ), 20 );

		if ( function_exists( 'cheshalo_woocommerce_installed' ) && cheshalo_woocommerce_installed() ) {
			the_widget( $type, $atts, $args );
		}

		remove_filter( 'woocommerce_products_widget_query_args', array( $this, 'add_category_order' ), 10 );
		remove_filter( 'woocommerce_products_widget_query_args', array( $this, 'add_product_order' ), 20 );

		$output .= ob_get_clean();

		$output .= '</div>';

		unset( $cheshalo_widget_product_img_size );

		return $output;

	}
}
$cheshalo_shortcode_products_widget = new CHESHALO_ShortcodeProductsWidget();

function cheshalo_add_shortcodes() {
	// Single product.
	add_shortcode( 'cheshalo_single_product_add_to_cart', 'cheshalo_shortcode_single_product_add_to_cart' );
	add_shortcode( 'cheshalo_single_product_additional_info_table', 'cheshalo_shortcode_single_product_additional_info_table' );
	add_shortcode( 'cheshalo_single_product_brand_information', 'cheshalo_shortcode_single_product_brand_information' );
	add_shortcode( 'cheshalo_single_product_brands', 'cheshalo_shortcode_single_product_brands' );
	add_shortcode( 'cheshalo_single_product_compare_button', 'cheshalo_shortcode_single_product_compare_button' );
	add_shortcode( 'cheshalo_single_product_content', 'cheshalo_shortcode_single_product_content' );
	add_shortcode( 'cheshalo_single_product_countdown', 'cheshalo_shortcode_single_product_countdown' );
	add_shortcode( 'cheshalo_single_product_extra_content', 'cheshalo_shortcode_single_product_extra_content' );
	add_shortcode( 'cheshalo_single_product_gallery', 'cheshalo_shortcode_single_product_gallery' );
	add_shortcode( 'cheshalo_single_product_meta', 'cheshalo_shortcode_single_product_meta' );
	add_shortcode( 'cheshalo_single_product_meta_value', 'cheshalo_shortcode_single_product_meta_value' );
	add_shortcode( 'cheshalo_single_product_nav', 'cheshalo_shortcode_single_product_nav' );
	add_shortcode( 'cheshalo_single_product_price', 'cheshalo_shortcode_single_product_price' );
	add_shortcode( 'cheshalo_single_product_rating', 'cheshalo_shortcode_single_product_rating' );
	add_shortcode( 'cheshalo_single_product_reviews', 'cheshalo_shortcode_single_product_reviews' );
	add_shortcode( 'cheshalo_single_product_short_description', 'cheshalo_shortcode_single_product_short_description' );
	add_shortcode( 'cheshalo_single_product_size_guide_button', 'cheshalo_shortcode_single_product_size_guide_button' );
	add_shortcode( 'cheshalo_single_product_stock_progress_bar', 'cheshalo_shortcode_single_product_stock_progress_bar' );
	add_shortcode( 'cheshalo_single_product_tabs', 'cheshalo_shortcode_single_product_tabs' );
	add_shortcode( 'cheshalo_single_product_title', 'cheshalo_shortcode_single_product_title' );
	add_shortcode( 'cheshalo_single_product_wishlist_button', 'cheshalo_shortcode_single_product_wishlist_button' );
	add_shortcode( 'cheshalo_single_product_visitor_counter', 'cheshalo_shortcode_single_product_visitor_counter' );
	add_shortcode( 'cheshalo_single_product_linked_variations', 'cheshalo_shortcode_single_product_linked_variations' );
	add_shortcode( 'cheshalo_single_product_fbt_products', 'cheshalo_shortcode_single_product_fbt_products' );
	add_shortcode( 'cheshalo_single_product_stock_status', 'cheshalo_shortcode_single_product_stock_status' );

	// Shop archive.
	add_shortcode( 'cheshalo_shop_archive_active_filters', 'cheshalo_shortcode_shop_archive_active_filters' );
	add_shortcode( 'cheshalo_shop_archive_description', 'cheshalo_shortcode_shop_archive_description' );
	add_shortcode( 'cheshalo_shop_archive_extra_description', 'cheshalo_shortcode_shop_category_extra_description' );
	add_shortcode( 'cheshalo_shop_archive_products', 'cheshalo_shortcode_shop_archive_products' );
	add_shortcode( 'cheshalo_shop_archive_filters_area', 'cheshalo_shortcode_shop_archive_filters_area' );
	add_shortcode( 'cheshalo_shop_archive_filters_area_btn', 'cheshalo_shortcode_shop_archive_filters_area_btn' );
	add_shortcode( 'cheshalo_shop_archive_orderby', 'cheshalo_shortcode_shop_archive_orderby' );
	add_shortcode( 'cheshalo_shop_archive_orderby', 'cheshalo_shortcode_shop_archive_orderby' );
	add_shortcode( 'cheshalo_shop_archive_per_page', 'cheshalo_shortcode_shop_archive_per_page' );
	add_shortcode( 'cheshalo_shop_archive_result_count', 'cheshalo_shortcode_shop_archive_result_count' );
	add_shortcode( 'cheshalo_sidebar', 'cheshalo_shortcode_sidebar' );
	add_shortcode( 'cheshalo_shop_archive_view', 'cheshalo_shortcode_shop_archive_view' );
	add_shortcode( 'cheshalo_shop_archive_woocommerce_title', 'cheshalo_shortcode_shop_archive_woocommerce_title' );

	// Cart.
	add_shortcode( 'cheshalo_cart_table', 'cheshalo_shortcode_cart_table' );
	add_shortcode( 'cheshalo_cart_totals', 'cheshalo_shortcode_cart_totals' );

	// Checkout.
	add_shortcode( 'cheshalo_checkout_billing_details_form', 'cheshalo_shortcode_checkout_billing_details_form' );
	add_shortcode( 'cheshalo_checkout_coupon_form', 'cheshalo_shortcode_checkout_coupon_form' );
	add_shortcode( 'cheshalo_checkout_login_form', 'cheshalo_shortcode_checkout_login_form' );
	add_shortcode( 'cheshalo_checkout_order_review', 'cheshalo_shortcode_checkout_order_review' );
	add_shortcode( 'cheshalo_checkout_payment_methods', 'cheshalo_shortcode_checkout_payment_methods' );
	add_shortcode( 'cheshalo_checkout_shipping_details_form', 'cheshalo_shortcode_checkout_shipping_details_form' );

	// WooCommerce.
	add_shortcode( 'cheshalo_woocommerce_breadcrumb', 'cheshalo_shortcode_woocommerce_breadcrumb' );
	add_shortcode( 'cheshalo_woocommerce_checkout_steps', 'cheshalo_shortcode_woocommerce_checkout_steps' );
	add_shortcode( 'cheshalo_woocommerce_hook', 'cheshalo_shortcode_woocommerce_hook' );
	add_shortcode( 'cheshalo_woocommerce_notices', 'cheshalo_shortcode_woocommerce_notices' );
	add_shortcode( 'cheshalo_page_title', 'cheshalo_shortcode_page_title' );
	add_shortcode( 'cheshalo_shipping_progress_bar', 'cheshalo_shortcode_shipping_progress_bar' );

	add_shortcode( 'html_block', 'cheshalo_html_block_shortcode' );
	add_shortcode( 'social_buttons', 'cheshalo_shortcode_social' );
	add_shortcode( 'cheshalo_info_box', 'cheshalo_shortcode_info_box' );
	add_shortcode( 'cheshalo_info_box_carousel', 'cheshalo_shortcode_info_box_carousel' );
	add_shortcode( 'cheshalo_button', 'cheshalo_shortcode_button' );
	add_shortcode( 'author_area', 'cheshalo_shortcode_author_area' );
	add_shortcode( 'promo_banner', 'cheshalo_shortcode_promo_banner' );
	add_shortcode( 'banners_carousel', 'cheshalo_shortcode_banners_carousel' );
	add_shortcode( 'cheshalo_instagram', 'cheshalo_shortcode_instagram' );
	add_shortcode( 'user_panel', 'cheshalo_shortcode_user_panel' );
	add_shortcode( 'cheshalo_size_guide', 'cheshalo_size_guide_shortcode' );
	add_shortcode( 'cheshalo_gallery', 'cheshalo_images_gallery_shortcode' );
	add_shortcode( 'cheshalo_blog', 'cheshalo_shortcode_blog' );
	if ( class_exists( 'XTS\Modules\Compare\Ui' ) ) {
		add_shortcode( 'cheshalo_compare', array( XTS\Modules\Compare\Ui::get_instance(), 'compare_page' ) );
	}
	if ( class_exists( 'XTS\WC_Wishlist\Ui' ) ) {
		add_shortcode( 'cheshalo_wishlist', array( XTS\WC_Wishlist\Ui::get_instance(), 'wishlist_page' ) );
	}

	if ( function_exists( 'cheshalo_get_current_page_builder' ) && 'wpb' === cheshalo_get_current_page_builder() ) {
		add_shortcode( 'cheshalo_3d_view', 'cheshalo_shortcode_3d_view' );
		add_shortcode( 'cheshalo_ajax_search', 'cheshalo_ajax_search' );
		add_shortcode( 'cheshalo_countdown_timer', 'cheshalo_shortcode_countdown_timer' );
		add_shortcode( 'cheshalo_counter', 'cheshalo_shortcode_animated_counter' );
		add_shortcode( 'extra_menu', 'cheshalo_shortcode_extra_menu' );
		add_shortcode( 'extra_menu_list', 'cheshalo_shortcode_extra_menu_list' );
		add_shortcode( 'cheshalo_google_map', 'cheshalo_shortcode_google_map' );
		add_shortcode( 'cheshalo_image_hotspot', 'cheshalo_image_hotspot_shortcode' );
		add_shortcode( 'cheshalo_hotspot', 'cheshalo_hotspot_shortcode' );
		add_shortcode( 'cheshalo_list', 'cheshalo_list_shortcode' );
		add_shortcode( 'cheshalo_mega_menu', 'cheshalo_shortcode_mega_menu' );
		add_shortcode( 'cheshalo_menu_price', 'cheshalo_shortcode_menu_price' );
		add_shortcode( 'cheshalo_popup', 'cheshalo_shortcode_popup' );
		add_shortcode( 'cheshalo_portfolio', 'cheshalo_shortcode_portfolio' );
		add_shortcode( 'pricing_tables', 'cheshalo_shortcode_pricing_tables' );
		add_shortcode( 'pricing_plan', 'cheshalo_shortcode_pricing_plan' );
		add_shortcode( 'cheshalo_responsive_text_block', 'cheshalo_shortcode_responsive_text_block' );
		add_shortcode( 'cheshalo_text_block', 'cheshalo_shortcode_text_block' );
		add_shortcode( 'cheshalo_image', 'cheshalo_shortcode_image' );
		add_shortcode( 'cheshalo_mailchimp', 'cheshalo_shortcode_mailchimp' );
		add_shortcode( 'cheshalo_row_divider', 'cheshalo_row_divider' );
		add_shortcode( 'cheshalo_slider', 'cheshalo_shortcode_slider' );
		add_shortcode( 'team_member', 'cheshalo_shortcode_team_member' );
		add_shortcode( 'testimonials', 'cheshalo_shortcode_testimonials' );
		add_shortcode( 'testimonial', 'cheshalo_shortcode_testimonial' );
		add_shortcode( 'cheshalo_timeline', 'cheshalo_timeline_shortcode' );
		add_shortcode( 'cheshalo_timeline_item', 'cheshalo_timeline_item_shortcode' );
		add_shortcode( 'cheshalo_timeline_breakpoint', 'cheshalo_timeline_breakpoint_shortcode' );
		add_shortcode( 'cheshalo_title', 'cheshalo_shortcode_title' );
		add_shortcode( 'cheshalo_twitter', 'cheshalo_twitter' );
		add_shortcode( 'cheshalo_tabs', 'cheshalo_shortcode_tabs' );
		add_shortcode( 'cheshalo_tab', 'cheshalo_shortcode_tab' );
		add_shortcode( 'cheshalo_accordion', 'cheshalo_shortcode_accordion' );
		add_shortcode( 'cheshalo_accordion_item', 'cheshalo_shortcode_accordion_item' );
		add_shortcode( 'cheshalo_off_canvas_btn', 'cheshalo_shortcode_off_canvas_btn' );
		add_shortcode( 'cheshalo_open_street_map', 'cheshalo_shortcode_open_street_map' );
		add_shortcode( 'cheshalo_table', 'cheshalo_shortcode_table' );
		add_shortcode( 'cheshalo_table_row', 'cheshalo_shortcode_table_row' );

		require_once ABSPATH . 'wp-admin/includes/plugin.php';
		if ( is_plugin_active( 'woocommerce/woocommerce.php' ) ) {
			add_shortcode( 'products_tabs', 'cheshalo_shortcode_products_tabs' );
			add_shortcode( 'products_tab', 'cheshalo_shortcode_products_tab' );
			add_shortcode( 'cheshalo_brands', 'cheshalo_shortcode_brands' );
			add_shortcode( 'cheshalo_categories', 'cheshalo_shortcode_categories' );
			add_shortcode( 'cheshalo_product_filters', 'cheshalo_product_filters_shortcode' );
			add_shortcode( 'cheshalo_filter_categories', 'cheshalo_filters_categories_shortcode' );
			add_shortcode( 'cheshalo_filters_attribute', 'cheshalo_filters_attribute_shortcode' );
			add_shortcode( 'cheshalo_filters_orderby', 'cheshalo_orderby_filter_template' );
			add_shortcode( 'cheshalo_filters_price_slider', 'cheshalo_filters_price_slider_shortcode' );
			add_shortcode( 'cheshalo_stock_status', 'cheshalo_stock_status_shortcode' );
			add_shortcode( 'cheshalo_products', 'cheshalo_shortcode_products' );
		}

		if ( function_exists( 'vc_add_shortcode_param' ) ) {
			vc_add_shortcode_param( 'cheshalo_datepicker', 'cheshalo_get_datepicker_param' );
			vc_add_shortcode_param( 'cheshalo_button_set', 'cheshalo_get_button_set_param' );
			vc_add_shortcode_param( 'cheshalo_colorpicker', 'cheshalo_get_colorpicker_param' );
			vc_add_shortcode_param( 'cheshalo_css_id', 'cheshalo_get_css_id_param' );
			vc_add_shortcode_param( 'cheshalo_dropdown', 'cheshalo_get_dropdown_param' );
			vc_add_shortcode_param( 'cheshalo_empty_space', 'cheshalo_get_empty_space_param' );
			vc_add_shortcode_param( 'cheshalo_gradient', 'cheshalo_add_gradient_type' );
			vc_add_shortcode_param( 'cheshalo_image_hotspot', 'cheshalo_image_hotspot' );
			vc_add_shortcode_param( 'cheshalo_image_select', 'cheshalo_add_image_select_type' );
			vc_add_shortcode_param( 'cheshalo_responsive_size', 'cheshalo_get_responsive_size_param' );
			vc_add_shortcode_param( 'cheshalo_responsive_spacing', 'cheshalo_get_responsive_spacing_param' );
			vc_add_shortcode_param( 'cheshalo_slider', 'cheshalo_get_slider_param' );
			vc_add_shortcode_param( 'cheshalo_switch', 'cheshalo_get_switch_param' );
			vc_add_shortcode_param( 'cheshalo_title_divider', 'cheshalo_get_title_divider_param' );

			vc_add_shortcode_param( 'wd_slider', 'cheshalo_get_slider_responsive_param' );
			vc_add_shortcode_param( 'wd_number', 'cheshalo_get_number_param' );
			vc_add_shortcode_param( 'wd_colorpicker', 'cheshalo_get_wd_colorpicker_param' );
			vc_add_shortcode_param( 'wd_box_shadow', 'cheshalo_get_box_shadow_param' );
			vc_add_shortcode_param( 'wd_select', 'cheshalo_get_select_param' );
			vc_add_shortcode_param( 'wd_notice', 'cheshalo_get_notice_param' );
			vc_add_shortcode_param( 'wd_dimensions', 'cheshalo_get_dimensions_responsive_param' );
			vc_add_shortcode_param( 'wd_fonts', 'cheshalo_get_fonts_param' );
		}
	}

	if ( function_exists( 'cheshalo_get_opt' ) && cheshalo_get_opt( 'single_post_justified_gallery' ) ) {
		remove_shortcode( 'gallery' );
		add_shortcode( 'gallery', 'cheshalo_gallery_shortcode' );
	}
}
add_action( 'init', 'cheshalo_add_shortcodes' );

/**
 * ------------------------------------------------------------------------------------------------
 * Add metaboxes to the product
 * ------------------------------------------------------------------------------------------------
 */

if ( ! function_exists( 'cheshalo_product_360_view_meta' ) ) {
	function cheshalo_product_360_view_meta() {
		if ( ! function_exists( 'cheshalo_get_opt' ) ) {
			return;
		}

		add_meta_box( 'woocommerce-product-360-images', esc_html__( 'Product 360 View Gallery (optional)', 'cheshalo' ), 'cheshalo_360_metabox_output', 'product', 'side', 'low' );
	}
	add_action( 'add_meta_boxes', 'cheshalo_product_360_view_meta', 50 );
}

/**
 * ------------------------------------------------------------------------------------------------
 * Add metaboxes
 * ------------------------------------------------------------------------------------------------
 */
if ( ! function_exists( 'cheshalo_sguide_add_metaboxes' ) ) {
	function cheshalo_sguide_add_metaboxes() {
		if ( ! function_exists( 'cheshalo_get_opt' ) || ! cheshalo_get_opt( 'size_guides' ) ) {
			return;
		}

		// Add table metaboxes to size guide
		add_meta_box( 'cheshalo_sguide_metaboxes', esc_html__( 'Create/modify size guide table', 'cheshalo' ), 'cheshalo_sguide_metaboxes', 'cheshalo_size_guide', 'normal', 'default' );
		// Add metaboxes to product
		add_meta_box( 'cheshalo_sguide_dropdown_template', esc_html__( 'Choose size guide', 'cheshalo' ), 'cheshalo_sguide_dropdown_template', 'product', 'side' );
		// Add category metaboxes to size guide
		add_meta_box( 'cheshalo_sguide_category_template', esc_html__( 'Choose product categories', 'cheshalo' ), 'cheshalo_sguide_category_template', 'cheshalo_size_guide', 'side' );
		// Add hide table checkbox to size guide
		add_meta_box( 'cheshalo_sguide_hide_table_template', esc_html__( 'Hide size guide table', 'cheshalo' ), 'cheshalo_sguide_hide_table_template', 'cheshalo_size_guide', 'side' );
	}
	add_action( 'add_meta_boxes', 'cheshalo_sguide_add_metaboxes' );
}

if ( ! function_exists( 'cheshalo_widgets_init' ) ) {
	function cheshalo_widgets_init() {
		if ( ! is_blog_installed() || ! class_exists( 'CHESHALO_WP_Nav_Menu_Widget' ) ) {
			return;
		}

		register_widget( 'CHESHALO_WP_Nav_Menu_Widget' );
		register_widget( 'CHESHALO_Banner_Widget' );
		register_widget( 'CHESHALO_Author_Area_Widget' );
		register_widget( 'CHESHALO_Instagram_Widget' );
		register_widget( 'CHESHALO_Static_Block_Widget' );
		register_widget( 'CHESHALO_Recent_Posts' );
		register_widget( 'CHESHALO_Twitter' );
		register_widget( 'CHESHALO_Widget_Mailchimp' );

		if ( cheshalo_woocommerce_installed() ) {
			register_widget( 'CHESHALO_User_Panel_Widget' );
			register_widget( 'CHESHALO_Widget_Layered_Nav' );
			register_widget( 'CHESHALO_Widget_Sorting' );
			register_widget( 'CHESHALO_Widget_Price_Filter' );
			register_widget( 'CHESHALO_Widget_Search' );
			register_widget( 'CHESHALO_Stock_Status' );
		}

	}

	add_action( 'widgets_init', 'cheshalo_widgets_init' );
}

