<?php
if ( ! defined( 'CHESHALO_THEME_DIR' ) ) {
	exit( 'No direct script access allowed' );
}

use XTS\Options;

/**
 * General.
 */
Options::add_section(
	array(
		'id'       => 'general_parent_section',
		'name'     => esc_html__( 'General', 'cheshalo' ),
		'priority' => 10,
		'icon'     => 'xts-i-home',
	)
);

Options::add_section(
	array(
		'id'       => 'general_layout_section',
		'parent'   => 'general_parent_section',
		'name'     => esc_html__( 'Layout', 'cheshalo' ),
		'priority' => 10,
		'icon'     => 'xts-i-home',
	)
);

Options::add_section(
	array(
		'id'       => 'header_banner_section',
		'parent'   => 'general_parent_section',
		'name'     => esc_html__( 'Header banner', 'cheshalo' ),
		'priority' => 20,
		'icon'     => 'xts-i-home',
	)
);

Options::add_section(
	array(
		'id'       => 'promo_popup_section',
		'parent'   => 'general_parent_section',
		'name'     => esc_html__( 'Promo popup', 'cheshalo' ),
		'priority' => 30,
		'icon'     => 'xts-i-home',
	)
);

Options::add_section(
	array(
		'id'       => 'age_verify_section',
		'parent'   => 'general_parent_section',
		'name'     => esc_html__( 'Age verify popup', 'cheshalo' ),
		'priority' => 40,
		'icon'     => 'xts-i-home',
	)
);

Options::add_section(
	array(
		'id'       => 'cookie_section',
		'parent'   => 'general_parent_section',
		'name'     => esc_html__( 'Cookie law info', 'cheshalo' ),
		'priority' => 50,
		'icon'     => 'xts-i-home',
	)
);

Options::add_section(
	array(
		'id'       => 'general_navbar_section',
		'parent'   => 'general_parent_section',
		'name'     => esc_html__( 'Mobile bottom navbar', 'cheshalo' ),
		'priority' => 60,
		'icon'     => 'xts-i-home',
	)
);

Options::add_section(
	array(
		'id'       => 'general_search',
		'parent'   => 'general_parent_section',
		'name'     => esc_html__( 'Search', 'cheshalo' ),
		'priority' => 70,
		'icon'     => 'xts-i-home',
	)
);

/**
 * Page title.
 */
Options::add_section(
	array(
		'id'       => 'page_title_section',
		'name'     => esc_html__( 'Page title', 'cheshalo' ),
		'priority' => 30,
		'icon'     => 'xts-i-page-title',
	)
);

/**
 * Footer.
 */
Options::add_section(
	array(
		'id'       => 'general_footer_section',
		'name'     => esc_html__( 'Footer', 'cheshalo' ),
		'priority' => 40,
		'icon'     => 'xts-i-footer',
	)
);

Options::add_section(
	array(
		'id'       => 'footer_section',
		'parent'   => 'general_footer_section',
		'name'     => esc_html__( 'Footer', 'cheshalo' ),
		'priority' => 10,
		'icon'     => 'xts-i-footer',
	)
);

Options::add_section(
	array(
		'id'       => 'copyrights_section',
		'parent'   => 'general_footer_section',
		'name'     => esc_html__( 'Copyrights', 'cheshalo' ),
		'priority' => 20,
		'icon'     => 'xts-i-footer',
	)
);

Options::add_section(
	array(
		'id'       => 'prefooter_section',
		'parent'   => 'general_footer_section',
		'name'     => esc_html__( 'Prefooter', 'cheshalo' ),
		'priority' => 30,
		'icon'     => 'xts-i-footer',
	)
);

/**
 * Typography.
 */
Options::add_section(
	array(
		'id'       => 'general_typography_section',
		'name'     => esc_html__( 'Typography', 'cheshalo' ),
		'priority' => 50,
		'icon'     => 'xts-i-typography',
	)
);

Options::add_section(
	array(
		'id'       => 'typography_section',
		'parent'   => 'general_typography_section',
		'name'     => esc_html__( 'Basic', 'cheshalo' ),
		'priority' => 10,
		'icon'     => 'xts-i-typography',
	)
);

Options::add_section(
	array(
		'id'       => 'advanced_typography_section',
		'parent'   => 'general_typography_section',
		'name'     => esc_html__( 'Advanced', 'cheshalo' ),
		'priority' => 20,
		'icon'     => 'xts-i-typography',
	)
);

Options::add_section(
	array(
		'id'       => 'custom_fonts_section',
		'parent'   => 'general_typography_section',
		'name'     => esc_html__( 'Custom fonts', 'cheshalo' ),
		'priority' => 30,
		'icon'     => 'xts-i-typography',
	)
);

Options::add_section(
	array(
		'id'       => 'icons_fonts_section',
		'parent'   => 'general_typography_section',
		'name'     => esc_html__( 'Icons fonts', 'cheshalo' ),
		'priority' => 40,
		'icon'     => 'xts-i-typography',
	)
);

Options::add_section(
	array(
		'id'       => 'typekit_section',
		'parent'   => 'general_typography_section',
		'name'     => esc_html__( 'Adobe fonts', 'cheshalo' ),
		'priority' => 50,
		'icon'     => 'xts-i-typography',
	)
);



/**
 * Styles and colors.
 */
Options::add_section(
	array(
		'id'       => 'general_styles_section',
		'name'     => esc_html__( 'Styles and colors', 'cheshalo' ),
		'priority' => 60,
		'icon'     => 'xts-i-brush',
	)
);

Options::add_section(
	array(
		'id'       => 'styles_section',
		'parent'   => 'general_styles_section',
		'name'     => esc_html__( 'Styles', 'cheshalo' ),
		'priority' => 10,
		'icon'     => 'xts-i-brush',
	)
);

Options::add_section(
	array(
		'id'       => 'colors_section',
		'parent'   => 'general_styles_section',
		'name'     => esc_html__( 'Colors', 'cheshalo' ),
		'priority' => 20,
		'icon'     => 'xts-i-brush',
	)
);

Options::add_section(
	array(
		'id'       => 'pages_bg_section',
		'parent'   => 'general_styles_section',
		'name'     => esc_html__( 'Pages background', 'cheshalo' ),
		'priority' => 30,
		'icon'     => 'xts-i-brush',
	)
);

Options::add_section(
	array(
		'id'       => 'buttons_section',
		'parent'   => 'general_styles_section',
		'name'     => esc_html__( 'Buttons', 'cheshalo' ),
		'priority' => 40,
		'icon'     => 'xts-i-brush',
	)
);

Options::add_section(
	array(
		'id'       => 'forms_section',
		'parent'   => 'general_styles_section',
		'name'     => esc_html__( 'Forms', 'cheshalo' ),
		'priority' => 50,
		'icon'     => 'xts-i-brush',
	)
);

Options::add_section(
	array(
		'id'       => 'notices_section',
		'parent'   => 'general_styles_section',
		'name'     => esc_html__( 'Notices', 'cheshalo' ),
		'priority' => 60,
		'icon'     => 'xts-i-brush',
	)
);

/**
 * Blog.
 */
Options::add_section(
	array(
		'id'       => 'general_blog_section',
		'name'     => esc_html__( 'Blog', 'cheshalo' ),
		'priority' => 70,
		'icon'     => 'xts-i-book-edit',
	)
);

Options::add_section(
	array(
		'id'       => 'blog_section',
		'name'     => esc_html__( 'Blog', 'cheshalo' ),
		'parent'   => 'general_blog_section',
		'priority' => 10,
		'icon'     => 'xts-i-book-edit',
	)
);

Options::add_section(
	array(
		'id'       => 'blog_archive_section',
		'name'     => esc_html__( 'Blog archive', 'cheshalo' ),
		'parent'   => 'general_blog_section',
		'priority' => 20,
		'icon'     => 'xts-i-book-edit',
	)
);

Options::add_section(
	array(
		'id'       => 'blog_singe_post_section',
		'name'     => esc_html__( 'Single post', 'cheshalo' ),
		'parent'   => 'general_blog_section',
		'priority' => 30,
		'icon'     => 'xts-i-book-edit',
	)
);

/**
 * Portfolio.
 */
Options::add_section(
	array(
		'id'       => 'general_portfolio_section',
		'name'     => esc_html__( 'Portfolio', 'cheshalo' ),
		'priority' => 80,
		'icon'     => 'xts-i-portfolio',
	)
);

Options::add_section(
	array(
		'id'       => 'portfolio_section',
		'name'     => esc_html__( 'Portfolio', 'cheshalo' ),
		'parent'   => 'general_portfolio_section',
		'priority' => 10,
		'icon'     => 'xts-i-portfolio',
	)
);

Options::add_section(
	array(
		'id'       => 'portfolio_archive_section',
		'name'     => esc_html__( 'Portfolio archive', 'cheshalo' ),
		'parent'   => 'general_portfolio_section',
		'priority' => 20,
		'icon'     => 'xts-i-portfolio',
	)
);

Options::add_section(
	array(
		'id'       => 'portfolio_singe_project_section',
		'name'     => esc_html__( 'Single project', 'cheshalo' ),
		'parent'   => 'general_portfolio_section',
		'priority' => 30,
		'icon'     => 'xts-i-portfolio',
	)
);

/**
 * Shop.
 */
Options::add_section(
	array(
		'id'       => 'general_shop_section',
		'name'     => esc_html__( 'Shop', 'cheshalo' ),
		'priority' => 90,
		'icon'     => 'xts-i-cart',
	)
);

Options::add_section(
	array(
		'id'       => 'shop_section',
		'parent'   => 'general_shop_section',
		'name'     => esc_html__( 'Shop', 'cheshalo' ),
		'priority' => 10,
		'icon'     => 'xts-i-cart',
	)
);

Options::add_section(
	array(
		'id'       => 'variable_products_section',
		'parent'   => 'general_shop_section',
		'name'     => esc_html__( 'Variable products', 'cheshalo' ),
		'priority' => 20,
		'icon'     => 'xts-i-cart',
	)
);

Options::add_section(
	array(
		'id'       => 'product_labels_section',
		'parent'   => 'general_shop_section',
		'name'     => esc_html__( 'Product labels', 'cheshalo' ),
		'priority' => 30,
		'icon'     => 'xts-i-cart',
	)
);

Options::add_section(
	array(
		'id'       => 'brands_section',
		'parent'   => 'general_shop_section',
		'name'     => esc_html__( 'Brands', 'cheshalo' ),
		'priority' => 40,
		'icon'     => 'xts-i-cart',
	)
);

Options::add_section(
	array(
		'id'       => 'quick_view_section',
		'parent'   => 'general_shop_section',
		'name'     => esc_html__( 'Quick view', 'cheshalo' ),
		'priority' => 50,
		'icon'     => 'xts-i-cart',
	)
);

Options::add_section(
	array(
		'id'       => 'compare_section',
		'parent'   => 'general_shop_section',
		'name'     => esc_html__( 'Compare', 'cheshalo' ),
		'priority' => 60,
		'icon'     => 'xts-i-cart',
	)
);

Options::add_section(
	array(
		'id'       => 'wishlist_section',
		'name'     => esc_html__( 'Wishlist', 'cheshalo' ),
		'parent'   => 'general_shop_section',
		'priority' => 70,
		'icon'     => 'xts-i-cart',
	)
);

Options::add_section(
	array(
		'id'       => 'cart_section',
		'parent'   => 'general_shop_section',
		'name'     => esc_html__( 'Cart', 'cheshalo' ),
		'priority' => 75,
	)
);

Options::add_section(
	array(
		'id'       => 'checkout_section',
		'parent'   => 'general_shop_section',
		'name'     => esc_html__( 'Checkout', 'cheshalo' ),
		'priority' => 80,
	)
);

Options::add_section(
	array(
		'id'       => 'thank_you_page_section',
		'parent'   => 'general_shop_section',
		'name'     => esc_html__( 'Thank you page', 'cheshalo' ),
		'priority' => 85,
		'icon'     => 'xts-i-cart',
	)
);

/**
 * Product archive.
 */
Options::add_section(
	array(
		'id'       => 'general_product_archive_section',
		'name'     => esc_html__( 'Product archive', 'cheshalo' ),
		'priority' => 100,
		'icon'     => 'xts-i-archive',
	)
);

Options::add_section(
	array(
		'id'       => 'product_archive_section',
		'parent'   => 'general_product_archive_section',
		'name'     => esc_html__( 'Product archive', 'cheshalo' ),
		'priority' => 10,
		'icon'     => 'xts-i-archive',
	)
);

Options::add_section(
	array(
		'id'       => 'products_grid_section',
		'parent'   => 'general_product_archive_section',
		'name'     => esc_html__( 'Products grid', 'cheshalo' ),
		'priority' => 20,
		'icon'     => 'xts-i-archive',
	)
);

Options::add_section(
	array(
		'id'       => 'products_styles_section',
		'parent'   => 'general_product_archive_section',
		'name'     => esc_html__( 'Products styles', 'cheshalo' ),
		'priority' => 30,
		'icon'     => 'xts-i-archive',
	)
);

Options::add_section(
	array(
		'id'       => 'categories_styles_section',
		'parent'   => 'general_product_archive_section',
		'name'     => esc_html__( 'Categories styles', 'cheshalo' ),
		'priority' => 40,
		'icon'     => 'xts-i-archive',
	)
);

Options::add_section(
	array(
		'id'       => 'shop_filters_section',
		'parent'   => 'general_product_archive_section',
		'name'     => esc_html__( 'Shop filters', 'cheshalo' ),
		'priority' => 50,
		'icon'     => 'xts-i-archive',
	)
);

Options::add_section(
	array(
		'id'       => 'widgets_section',
		'parent'   => 'general_product_archive_section',
		'name'     => esc_html__( 'Widgets', 'cheshalo' ),
		'priority' => 60,
		'icon'     => 'xts-i-archive',
	)
);

Options::add_section(
	array(
		'id'       => 'shop_page_title_section',
		'parent'   => 'general_product_archive_section',
		'name'     => esc_html__( 'Page title', 'cheshalo' ),
		'priority' => 70,
		'icon'     => 'xts-i-archive',
	)
);

Options::add_section(
	array(
		'id'       => 'shop_sidebar_section',
		'parent'   => 'general_product_archive_section',
		'name'     => esc_html__( 'Sidebar', 'cheshalo' ),
		'priority' => 80,
		'icon'     => 'xts-i-archive',
	)
);

/**
 * Single product.
 */
Options::add_section(
	array(
		'id'       => 'general_single_product_section',
		'name'     => esc_html__( 'Single product', 'cheshalo' ),
		'priority' => 110,
		'icon'     => 'xts-i-bag',
	)
);

Options::add_section(
	array(
		'id'       => 'single_product_section',
		'parent'   => 'general_single_product_section',
		'name'     => esc_html__( 'Single product', 'cheshalo' ),
		'priority' => 10,
		'icon'     => 'xts-i-bag',
	)
);

Options::add_section(
	array(
		'id'       => 'product_images',
		'parent'   => 'general_single_product_section',
		'name'     => esc_html__( 'Images', 'cheshalo' ),
		'priority' => 20,
		'icon'     => 'xts-i-bag',
	)
);

Options::add_section(
	array(
		'id'       => 'single_product_add_to_cart_section',
		'parent'   => 'general_single_product_section',
		'name'     => esc_html__( 'Add to cart', 'cheshalo' ),
		'priority' => 30,
		'icon'     => 'xts-i-bag',
	)
);

Options::add_section(
	array(
		'id'       => 'product_elements',
		'parent'   => 'general_single_product_section',
		'name'     => esc_html__( 'Elements', 'cheshalo' ),
		'priority' => 40,
		'icon'     => 'xts-i-bag',
	)
);

Options::add_section(
	array(
		'id'       => 'product_tabs',
		'parent'   => 'general_single_product_section',
		'name'     => esc_html__( 'Tabs', 'cheshalo' ),
		'priority' => 60,
		'icon'     => 'xts-i-bag',
	)
);

Options::add_section(
	array(
		'id'       => 'single_product_related_section',
		'parent'   => 'general_single_product_section',
		'name'     => esc_html__( 'Related & Upsells', 'cheshalo' ),
		'priority' => 70,
		'icon'     => 'xts-i-bag',
	)
);

/**
 * Login/register section.
 */
Options::add_section(
	array(
		'id'       => 'my_account',
		'name'     => esc_html__( 'My account', 'cheshalo' ),
		'priority' => 115,
		'icon'     => 'xts-i-login',
	)
);

Options::add_section(
	array(
		'id'       => 'login_section',
		'parent'   => 'my_account',
		'name'     => esc_html__( 'Login / Register', 'cheshalo' ),
		'priority' => 10,
		'icon'     => 'xts-i-login',
	)
);

Options::add_section(
	array(
		'id'       => 'dashboard_section',
		'parent'   => 'my_account',
		'name'     => esc_html__( 'Dashboard', 'cheshalo' ),
		'priority' => 20,
		'icon'     => 'xts-i-login',
	)
);

/**
 * Share buttons configuration.
 */
Options::add_section(
	array(
		'id'       => 'general_social_profiles',
		'name'     => esc_html__( 'Social profiles', 'cheshalo' ),
		'priority' => 130,
		'icon'     => 'xts-i-social',
	)
);

Options::add_section(
	array(
		'id'       => 'social_profiles',
		'parent'   => 'general_social_profiles',
		'name'     => esc_html__( 'Social profiles', 'cheshalo' ),
		'priority' => 10,
		'icon'     => 'xts-i-social',
	)
);

Options::add_section(
	array(
		'id'       => 'social_links',
		'parent'   => 'general_social_profiles',
		'name'     => esc_html__( 'Links to social profiles', 'cheshalo' ),
		'priority' => 20,
		'icon'     => 'xts-i-social',
	)
);

Options::add_section(
	array(
		'id'       => 'social_share',
		'parent'   => 'general_social_profiles',
		'name'     => esc_html__( 'Share buttons', 'cheshalo' ),
		'priority' => 30,
		'icon'     => 'xts-i-social',
	)
);

/**
 * API integrations.
 */
Options::add_section(
	array(
		'id'       => 'api_integrations_section',
		'name'     => esc_html__( 'API integrations', 'cheshalo' ),
		'priority' => 140,
		'icon'     => 'xts-i-cog',
	)
);

Options::add_section(
	array(
		'id'       => 'instagram_api_section',
		'name'     => esc_html__( 'Instagram API', 'cheshalo' ),
		'parent'   => 'api_integrations_section',
		'priority' => 10,
		'icon'     => 'xts-i-cog',
	)
);

Options::add_section(
	array(
		'id'       => 'google_api_section',
		'name'     => esc_html__( 'Google map API', 'cheshalo' ),
		'parent'   => 'api_integrations_section',
		'priority' => 20,
		'icon'     => 'xts-i-cog',
	)
);

Options::add_section(
	array(
		'id'       => 'social_login_api_section',
		'name'     => esc_html__( 'Social authentication', 'cheshalo' ),
		'parent'   => 'api_integrations_section',
		'priority' => 30,
		'icon'     => 'xts-i-cog',
	)
);

/**
 * Performance.
 */
Options::add_section(
	array(
		'id'       => 'general_performance',
		'name'     => esc_html__( 'Performance', 'cheshalo' ),
		'priority' => 150,
		'icon'     => 'xts-i-performance',
	)
);

Options::add_section(
	array(
		'id'       => 'performance_css',
		'name'     => esc_html__( 'CSS', 'cheshalo' ),
		'parent'   => 'general_performance',
		'priority' => 10,
		'icon'     => 'xts-i-performance',
	)
);

Options::add_section(
	array(
		'id'       => 'performance_js',
		'name'     => esc_html__( 'JS', 'cheshalo' ),
		'parent'   => 'general_performance',
		'priority' => 20,
		'icon'     => 'xts-i-performance',
	)
);

Options::add_section(
	array(
		'id'       => 'fonts_section',
		'name'     => esc_html__( 'Fonts & Icons', 'cheshalo' ),
		'parent'   => 'general_performance',
		'priority' => 30,
		'icon'     => 'xts-i-performance',
	)
);

Options::add_section(
	array(
		'id'       => 'performance_lazy_loading',
		'name'     => esc_html__( 'Lazy loading', 'cheshalo' ),
		'parent'   => 'general_performance',
		'priority' => 40,
		'icon'     => 'xts-i-performance',
	)
);

Options::add_section(
	array(
		'id'       => 'plugins_section',
		'name'     => esc_html__( 'Plugins', 'cheshalo' ),
		'parent'   => 'general_performance',
		'priority' => 50,
		'icon'     => 'xts-i-performance',
	)
);

Options::add_section(
	array(
		'id'       => 'preloader_section',
		'name'     => esc_html__( 'Preloader', 'cheshalo' ),
		'parent'   => 'general_performance',
		'priority' => 60,
		'icon'     => 'xts-i-performance',
	)
);

Options::add_section(
	array(
		'id'       => 'performance_other',
		'name'     => esc_html__( 'Other', 'cheshalo' ),
		'parent'   => 'general_performance',
		'priority' => 70,
		'icon'     => 'xts-i-performance',
	)
);

/**
 * Maintenance.
 */
Options::add_section(
	array(
		'id'       => 'maintenance',
		'name'     => esc_html__( 'Maintenance', 'cheshalo' ),
		'priority' => 160,
		'icon'     => 'xts-i-tools',
	)
);

/**
 * White label.
 */
Options::add_section(
	array(
		'id'       => 'white_label_section',
		'name'     => esc_html__( 'White label', 'cheshalo' ),
		'priority' => 170,
		'icon'     => 'xts-i-tag',
	)
);

/**
 * Custom CSS section.
 */
Options::add_section(
	array(
		'id'       => 'custom_css',
		'name'     => esc_html__( 'Custom CSS', 'cheshalo' ),
		'priority' => 180,
		'icon'     => 'xts-i-file-code-css',
	)
);

/**
 * Custom JS section.
 */
Options::add_section(
	array(
		'id'       => 'custom_js',
		'name'     => esc_html__( 'Custom JS', 'cheshalo' ),
		'priority' => 190,
		'icon'     => 'xts-i-file-code-js',
	)
);

/**
 * Other.
 */
Options::add_section(
	array(
		'id'       => 'other_section',
		'name'     => esc_html__( 'Other', 'cheshalo' ),
		'priority' => 200,
		'icon'     => 'xts-i-setting-slider-in-square',
	)
);

/**
 * Import / Export / Reset.
 */
Options::add_section(
	array(
		'id'       => 'import_export',
		'name'     => esc_html__( 'Import / Export / Reset', 'cheshalo' ),
		'priority' => 220,
		'icon'     => 'xts-i-round-right',
	)
);
