<?php if ( ! defined('CHESHALO_THEME_DIR')) exit('No direct script access allowed');

/**
 * ------------------------------------------------------------------------------------------------
 * Default options array
 * ------------------------------------------------------------------------------------------------
 */

return apply_filters( 'cheshalo_get_base_options', array(
	'main_layout' => 'full-width',
	'page-title-size' => 'small',
	'sidebar_width' => 3,
	'blog_sidebar_width' => 3,
	'footer-layout' => 13,
	'disable_footer' => true,
	'disable_copyrights' => true,
	'copyrights-layout' => 'centered',
	'copyrights' => 'Based on <a href="http://cheshalo.themefars.com"><strong>CheshAlo</strong></a> theme<i class="fa fa-copyright"></i> ' . date( 'Y' ) . ' <a href="https://themefars.com/item/cheshalo-woocommerce-wordpress-theme/20264492"><strong>WooCommerce Themes</strong></a>.',
	'blog_excerpt' => 'excerpt',
	'page-title-design' => 'centered',
	'page-title-color' => 'light',
	'custom_css' => '.page-title-default { background-color: #0a0a0a; }',
	'page_comments' => true,
	'shop_view' => 'grid',
	'products_columns' => 3,
	'products_columns_mobile' => 2,
	'thums_position' => 'bottom',
	'product_short_description' => true,
	'product_tabs_layout' => 'tabs',
	'related_products' => true,
	'hover_image' => true,
	'products_hover' => 'base',
	'blog_design' => 'default',
	'primary-color' => '#83B735',
	'secondary-color' => '#FBBC34',
) );

$cheshalo_core_translations = array(
	esc_html__( 'You are now logged in as <strong>%s</strong>', 'cheshalo' ),
	esc_html__( 'Slider', 'cheshalo' ),
	esc_html__( 'Slide', 'cheshalo' ),
	esc_html__( 'Slides', 'cheshalo' ),
	esc_html__( 'Parent Item:', 'cheshalo' ),
	esc_html__( 'All Items', 'cheshalo' ),
	esc_html__( 'View Item', 'cheshalo' ),
	esc_html__( 'Add New Item', 'cheshalo' ),
	esc_html__( 'Add New', 'cheshalo' ),
	esc_html__( 'Edit Item', 'cheshalo' ),
	esc_html__( 'Update Item', 'cheshalo' ),
	esc_html__( 'Search Item', 'cheshalo' ),
	esc_html__( 'Not found', 'cheshalo' ),
	esc_html__( 'Not found in Trash', 'cheshalo' ),
	esc_html__( 'Sliders', 'cheshalo' ),
	esc_html__( 'Slider', 'cheshalo' ),
	esc_html__( 'Search Sliders', 'cheshalo' ),
	esc_html__( 'Popular Sliders', 'cheshalo' ),
	esc_html__( 'All Sliders', 'cheshalo' ),
	esc_html__( 'Parent Slider', 'cheshalo' ),
	esc_html__( 'Parent Slider', 'cheshalo' ),
	esc_html__( 'Edit Slider', 'cheshalo' ),
	esc_html__( 'Update Slider', 'cheshalo' ),
	esc_html__( 'Add New Slider', 'cheshalo' ),
	esc_html__( 'New Slide', 'cheshalo' ),
	esc_html__( 'Add or remove Sliders', 'cheshalo' ),
	esc_html__( 'Choose from most used sliders', 'cheshalo' ),
	esc_html__( 'Slider', 'cheshalo' ),
	esc_html__( 'Size guides', 'cheshalo' ),
	esc_html__( 'Size guide', 'cheshalo' ),
	esc_html__( 'Size guides', 'cheshalo' ),
	esc_html__( 'Add new', 'cheshalo' ),
	esc_html__( 'Add new size guide', 'cheshalo' ),
	esc_html__( 'New size guide', 'cheshalo' ),
	esc_html__( 'Edit size guide', 'cheshalo' ),
	esc_html__( 'View size guide', 'cheshalo' ),
	esc_html__( 'All size guides', 'cheshalo' ),
	esc_html__( 'Search size guides', 'cheshalo' ),
	esc_html__( 'No size guides found.', 'cheshalo' ),
	esc_html__( 'No size guides found in trash.', 'cheshalo' ),
	esc_html__( 'cheshalo_size_guide', 'cheshalo' ),
	esc_html__( 'Size guide to place in your products', 'cheshalo' ),
	esc_html__( 'HTML Blocks', 'cheshalo' ),
	esc_html__( 'HTML Block', 'cheshalo' ),
	esc_html__( 'HTML Blocks', 'cheshalo' ),
	esc_html__( 'CMS Blocks for custom HTML to place in your pages', 'cheshalo' ),
	esc_html__( 'Title', 'cheshalo' ),
	esc_html__( 'Shortcode', 'cheshalo' ),	   
	esc_html__( 'Sidebar', 'cheshalo' ),
	esc_html__( 'Sidebars', 'cheshalo' ),
	esc_html__( 'You can create additional custom sidebar and use them in Visual Composer', 'cheshalo' ),
	esc_html__( 'Portfolio', 'cheshalo' ),
	esc_html__( 'Project', 'cheshalo' ),
	esc_html__( 'Projects', 'cheshalo' ),
	esc_html__( 'Project Categories', 'cheshalo' ),
	esc_html__( 'Project Category', 'cheshalo' ),
	esc_html__( 'Search Categories', 'cheshalo' ),
	esc_html__( 'Popular Project Categories', 'cheshalo' ),
	esc_html__( 'All Project Categories', 'cheshalo' ),
	esc_html__( 'Parent Category', 'cheshalo' ),
	esc_html__( 'Parent Category', 'cheshalo' ),
	esc_html__( 'Edit Category', 'cheshalo' ),
	esc_html__( 'Update Category', 'cheshalo' ),
	esc_html__( 'Add New Category', 'cheshalo' ),
	esc_html__( 'New Category', 'cheshalo' ),
	esc_html__( 'Add or remove Categories', 'cheshalo' ),
	esc_html__( 'Choose from most used text-domain', 'cheshalo' ),
	esc_html__( 'Category', 'cheshalo' ),
	esc_html__( 'Categories', 'cheshalo' ),
	esc_html__( 'Product 360 View Gallery (optional)', 'cheshalo' ),
	esc_html__( 'HTML Block categories', 'cheshalo' ),
	esc_html__( 'HTML Block category', 'cheshalo' ),
	esc_html__( 'Search categories', 'cheshalo' ),
	esc_html__( 'Popular categories', 'cheshalo' ),
	esc_html__( 'All categories', 'cheshalo' ),
	esc_html__( 'Parent category', 'cheshalo' ),
	esc_html__( 'Edit category', 'cheshalo' ),
	esc_html__( 'Update category', 'cheshalo' ),
	esc_html__( 'Add New category', 'cheshalo' ),
	esc_html__( 'New category', 'cheshalo' ),
	esc_html__( 'Add or remove categories', 'cheshalo' ),
	esc_html__( 'Choose from most used', 'cheshalo' ),
	esc_html__( 'Category', 'cheshalo' ),
	esc_html__( 'Create/modify size guide table', 'cheshalo' ),
	esc_html__( 'Choose product categories', 'cheshalo' ),
);