<?php if ( ! defined( 'CHESHALO_THEME_DIR' ) ) exit( 'No direct script access allowed' );
/**
* ------------------------------------------------------------------------------------------------
*  WC products widget element map
* ------------------------------------------------------------------------------------------------
*/

if ( ! function_exists( 'cheshalo_get_vc_map_shortcode_products_widget' ) ) {
	function cheshalo_get_vc_map_shortcode_products_widget() {
		return array(
			'name' => esc_html__( 'WC products widget', 'cheshalo' ),
			'base' => 'cheshalo_shortcode_products_widget',
			'category' => cheshalo_get_tab_title_category_for_wpb( esc_html__( 'Theme elements', 'cheshalo' ) ),
			'description' => esc_html__( 'Small products list widget', 'cheshalo' ),
			'icon'            => CHESHALO_ASSETS . '/images/vc-icon/wc-product-widget.svg',
			'params' => array(
				array(
					'type' => 'cheshalo_title_divider',
					'holder' => 'div',
					'title' => esc_html__( 'Title', 'cheshalo' ),
					'param_name' => 'title_divider',
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Widget title', 'cheshalo' ),
					'param_name' => 'title',
				),
				/**
				 * Data settings
				 */
				array(
					'type' => 'cheshalo_title_divider',
					'holder' => 'div',
					'title' => esc_html__( 'Data settings', 'cheshalo' ),
					'param_name' => 'data_divider',
				),
				array(
					'type' => 'cheshalo_slider',
					'heading' => esc_html__( 'Number of products to show', 'cheshalo' ),
					'param_name' => 'number',
					'min' => '1',
					'max' => '7',
					'step' => '1',
					'default' => '3',
					'units' => '',
					'edit_field_class' => 'vc_col-sm-6 vc_column',
					'dependency' => array(
						'element' => 'show',
						'value_not_equal_to' => array( 'product_ids' ),
					),
				),
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Show', 'cheshalo' ),
					'param_name' => 'show',
					'value' => array(
						esc_html__( 'All Products', 'cheshalo' ) => '',
						esc_html__( 'Featured Products', 'cheshalo' ) => 'featured',
						esc_html__( 'On-sale Products', 'cheshalo' ) => 'onsale',
						esc_html__( 'List of IDs', 'cheshalo' ) => 'product_ids'

					),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type' => 'autocomplete',
					'heading' => esc_html__( 'Include only', 'cheshalo' ),
					'param_name' => 'include_products',
					'hint' => esc_html__( 'Add products by title.', 'cheshalo' ),
					'settings' => array(
						'multiple' => true,
						'sortable' => true,
						'unique_values' => true,
						// In UI show results except selected. NB! You should manually check values in backend
					),
					'save_always' => true,
					'dependency' => array(
						'element' => 'show',
						'value' => array( 'product_ids' )
					),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type' => 'dropdown',
					'heading' => esc_html__( 'Order by', 'cheshalo' ),
					'param_name' => 'orderby',
					'value' => array(
						esc_html__( 'Date', 'cheshalo' ) => 'date',
						esc_html__( 'Price', 'cheshalo' ) => 'price',
						esc_html__( 'Random', 'cheshalo' ) => 'rand',
						esc_html__( 'Sales', 'cheshalo' ) => 'sales'
					),
					'dependency' => array(
						'element' => 'show',
						'value_not_equal_to' => array( 'product_ids' ),
					),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type' => 'cheshalo_button_set',
					'heading' => esc_html__( 'Order', 'cheshalo' ),
					'param_name' => 'order',
					'value' => array(
						esc_html__( 'ASC', 'cheshalo' ) => 'asc',
						esc_html__( 'DESC', 'cheshalo' ) => 'desc'
					),
					'dependency' => array(
						'element' => 'show',
						'value_not_equal_to' => array( 'product_ids' ),
					),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type' => 'autocomplete',
					'heading' => esc_html__( 'Categories', 'cheshalo' ),
					'param_name' => 'ids',
					'settings' => array(
						'multiple' => true,
						'sortable' => true
					),
					'save_always' => true,
					'hint' => esc_html__( 'List of product categories', 'cheshalo' ),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
					'dependency' => array(
						'element' => 'show',
						'value_not_equal_to' => array( 'product_ids' ),
					),
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Images size', 'cheshalo' ),
					'param_name' => 'images_size',
					'hint' => esc_html__( 'Enter image size. Example: \'thumbnail\', \'medium\', \'large\', \'full\' or other sizes defined by current theme. Alternatively enter image size in pixels: 200x100 (Width x Height). Leave empty to use \'thumbnail\' size.', 'cheshalo' ),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
					'description' => esc_html__( 'Example: \'thumbnail\', \'medium\', \'large\', \'full\' or enter image size in pixels: \'200x100\'.', 'cheshalo' ),
				),
				/**
				 * Extra
				 */
				array(
					'type' => 'cheshalo_title_divider',
					'holder' => 'div',
					'title' => esc_html__( 'Extra options', 'cheshalo' ),
					'param_name' => 'extra_divider',
				),
				array(
					'type' => 'cheshalo_switch',
					'heading' => esc_html__( 'Hide free products', 'cheshalo' ),
					'param_name' => 'hide_free',
					'true_state' => 1,
					'false_state' => 0,
					'default' => 0,
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type' => 'cheshalo_switch',
					'heading' => esc_html__( 'Show hidden products', 'cheshalo' ),
					'param_name' => 'show_hidden',
					'true_state' => 1,
					'false_state' => 0,
					'default' => 0,
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Extra class name', 'cheshalo' ),
					'param_name' => 'el_class',
					'hint' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'cheshalo' )
				),
			),
		);
	}
}

//Filters For autocomplete param:
//For suggestion: vc_autocomplete_[shortcode_name]_[param_name]_callback
add_filter( 'vc_autocomplete_cheshalo_shortcode_products_widget_ids_callback', 'cheshalo_productCategoryCategoryAutocompleteSuggester', 10, 1 ); // Get suggestion(find). Must return an array
add_filter( 'vc_autocomplete_cheshalo_shortcode_products_widget_ids_render', 'cheshalo_productCategoryCategoryRenderByIdExact', 10, 1 );

add_filter( 'vc_autocomplete_cheshalo_shortcode_products_widget_include_products_callback',	'cheshalo_productIdAutocompleteSuggester', 10, 1 );
add_filter( 'vc_autocomplete_cheshalo_shortcode_products_widget_include_products_render',	'cheshalo_productIdAutocompleteRender', 10, 1 );
