<?php if ( ! defined( 'CHESHALO_THEME_DIR' ) ) exit( 'No direct script access allowed' );
/**
* ------------------------------------------------------------------------------------------------
* Twitter element map
* ------------------------------------------------------------------------------------------------
*/

if ( ! function_exists( 'cheshalo_get_vc_map_twitter' ) ) {
	function cheshalo_get_vc_map_twitter() {
		return array(
			'name' => esc_html__( 'Twitter', 'cheshalo' ),
			'base' => 'cheshalo_twitter',
			'category' => cheshalo_get_tab_title_category_for_wpb( esc_html__( 'Theme elements', 'cheshalo' ) ),
			'description' => esc_html__( 'Shows tweets from any twitter account', 'cheshalo' ),
			'icon' => CHESHALO_ASSETS . '/images/vc-icon/twitter.svg',
			'params' => array(
				/**
				 * Widget settings
				 */
				array(
					'type' => 'cheshalo_title_divider',
					'holder' => 'div',
					'title' => esc_html__( 'Widget settings', 'cheshalo' ),
					'param_name' => 'widget_divider',
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Twitter Name (without @ symbol)', 'cheshalo' ),
					'param_name' => 'name',
					'value' => 'Twitter',
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Number of Tweets', 'cheshalo' ),
					'param_name' => 'num_tweets',
					'value' => 5,
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Size of Avatar', 'cheshalo' ),
					'param_name' => 'avatar_size',
					'hint' => esc_html__( 'Default: 48px', 'cheshalo' ),
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type' => 'cheshalo_switch',
					'heading' => esc_html__( 'Show your avatar image', 'cheshalo' ),
					'param_name' => 'show_avatar',
					'true_state' => 1,
					'false_state' => 0,
					'default' => 0,
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type' => 'cheshalo_switch',
					'heading' => esc_html__( 'Exclude Replies', 'cheshalo' ),
					'param_name' => 'exclude_replies',
					'true_state' => 1,
					'false_state' => 0,
					'default' => 0,
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				/**
				 * Access settings
				 */
				array(
					'type' => 'cheshalo_title_divider',
					'holder' => 'div',
					'title' => esc_html__( 'Access settings', 'cheshalo' ),
					'param_name' => 'access_divider',
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Consumer Key', 'cheshalo' ),
					'param_name' => 'consumer_key',
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Consumer Secret', 'cheshalo' ),
					'param_name' => 'consumer_secret',
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Access Token', 'cheshalo' ),
					'param_name' => 'access_token',
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Access Token Secret', 'cheshalo' ),
					'param_name' => 'accesstoken_secret',
					'edit_field_class' => 'vc_col-sm-6 vc_column',
				),
				/**
				 * Extra
				 */
				array(
					'type' => 'cheshalo_title_divider',
					'holder' => 'div',
					'title' => esc_html__( 'Extra options', 'cheshalo' ),
					'param_name' => 'extra_divider'
				),
				array(
					'type' => 'textfield',
					'heading' => esc_html__( 'Extra class name', 'cheshalo' ),
					'param_name' => 'el_class',
					'hint' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'cheshalo' )
				),
			)
		);
	}
}
