<?php if ( ! defined('CHESHALO_THEME_DIR')) exit('No direct script access allowed');

/**
 * ------------------------------------------------------------------------------------------------
 * Include all required files, define constants
 * ------------------------------------------------------------------------------------------------
 */

if( ! class_exists( 'CHESHALO_Header_Builder' ) ) {
	class CHESHALO_Header_Builder {

		protected static $_instance = null;

		public $elements = null;
		public $list = null;
		public $factory = null;
		public $manager = null;

		protected function __construct() {
			$this->_define_constants();
			$this->_include_files();
			$this->_init_classes();
		}

		protected function __clone() {}

		static public function get_instance() {

			if( is_null( self::$_instance ) ) {
				self::$_instance = new self();
			}

			return self::$_instance;
		}

		private function _define_constants() {
			define('CHESHALO_HB_DEFAULT_ID', 'default_header');
			define('CHESHALO_HB_DEFAULT_NAME', 'Default header layout');
			define('CHESHALO_HB_DIR', get_template_directory() . '/inc/modules/header-builder/');
			define('CHESHALO_HB_TEMPLATES', get_template_directory() . '/header-elements/');
		}

		private function _include_files() {
			$classes = array(
				'Manager',
				'HeaderFactory',
				'HeadersList',
				'Header',
				'Elements',
				'Styles',
			);

			foreach ( $classes as $class ) {
				require_once CHESHALO_HB_DIR . $class . '.php';
			}
		}

		private function _init_classes() {
			$this->elements = new CHESHALO_HB_Elements();
			$this->list = new CHESHALO_HB_HeadersList();
			$this->factory = new CHESHALO_HB_HeaderFactory( $this->elements, $this->list );
			$this->manager = new CHESHALO_HB_Manager( $this->factory, $this->list );
		}

	}
}
