<?php if ( ! defined( 'CHESHALO_THEME_DIR' ) ) {
	exit( 'No direct script access allowed' );}

/**
 * ------------------------------------------------------------------------------------------------
 *  WPBakery Social buttons element
 * ------------------------------------------------------------------------------------------------
 */

if ( ! class_exists( 'CHESHALO_HB_Social' ) ) {
	class CHESHALO_HB_Social extends CHESHALO_HB_Element {

		public function __construct() {
			parent::__construct();
			$this->template_name = 'social';
		}

		public function map() {
			$this->args = array(
				'type'            => 'social',
				'title'           => esc_html__( 'Social links icons', 'cheshalo' ),
				'text'            => esc_html__( 'Social links icons', 'cheshalo' ),
				'icon'            => 'xts-i-social',
				'editable'        => true,
				'container'       => false,
				'edit_on_create'  => true,
				'drag_target_for' => array(),
				'drag_source'     => 'content_element',
				'removable'       => true,
				'addable'         => true,
				'params'          => array(
					'type'     => array(
						'id'      => 'type',
						'title'   => esc_html__( 'Buttons type', 'cheshalo' ),
						'tab'     => esc_html__( 'General', 'cheshalo' ),
						'type'    => 'selector',
						'value'   => 'share',
						'options' => array(
							'share'  => array(
								'label' => esc_html__( 'Share', 'cheshalo' ),
								'value' => 'share',
							),
							'follow' => array(
								'label' => esc_html__( 'Follow', 'cheshalo' ),
								'value' => 'follow',
							),
						),
					),
					'el_class' => array(
						'id'          => 'el_class',
						'title'       => esc_html__( 'Additional CSS class', 'cheshalo' ),
						'type'        => 'text',
						'tab'         => esc_html__( 'General', 'cheshalo' ),
						'value'       => '',
						'description' => esc_html__( 'If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file.', 'cheshalo' ),
					),
					'style'    => array(
						'id'      => 'style',
						'title'   => esc_html__( 'Button style', 'cheshalo' ),
						'tab'     => esc_html__( 'Style', 'cheshalo' ),
						'group'   => esc_html__( 'Icons', 'cheshalo' ),
						'type'    => 'selector',
						'value'   => 'default',
						'options' => array(
							'default'     => array(
								'label' => esc_html__( 'Default', 'cheshalo' ),
								'value' => 'default',
								'image' => CHESHALO_ASSETS_IMAGES . '/settings/social-buttons/style/default.png',
							),
							'simple'      => array(
								'label' => esc_html__( 'Simple', 'cheshalo' ),
								'value' => 'simple',
								'image' => CHESHALO_ASSETS_IMAGES . '/settings/social-buttons/style/simple.png',
							),
							'colored'     => array(
								'label' => esc_html__( 'Colored', 'cheshalo' ),
								'value' => 'colored',
								'image' => CHESHALO_ASSETS_IMAGES . '/settings/social-buttons/style/colored.png',
							),
							'colored-alt' => array(
								'label' => esc_html__( 'Colored alternative', 'cheshalo' ),
								'value' => 'colored-alt',
								'image' => CHESHALO_ASSETS_IMAGES . '/settings/social-buttons/style/colored-alt.png',
							),
							'bordered'    => array(
								'label' => esc_html__( 'Bordered', 'cheshalo' ),
								'value' => 'bordered',
								'image' => CHESHALO_ASSETS_IMAGES . '/settings/social-buttons/style/bordered.png',
							),
						),
					),
					'form'     => array(
						'id'      => 'form',
						'title'   => esc_html__( 'Button form', 'cheshalo' ),
						'tab'     => esc_html__( 'Style', 'cheshalo' ),
						'group'   => esc_html__( 'Icons', 'cheshalo' ),
						'type'    => 'selector',
						'value'   => 'circle',
						'options' => array(
							'circle' => array(
								'label' => esc_html__( 'Circle', 'cheshalo' ),
								'value' => 'circle',
								'image' => CHESHALO_ASSETS_IMAGES . '/settings/social-buttons/shape/circle.png',
							),
							'square' => array(
								'label' => esc_html__( 'Square', 'cheshalo' ),
								'value' => 'square',
								'image' => CHESHALO_ASSETS_IMAGES . '/settings/social-buttons/shape/square.png',
							),
						),
					),
					'size'     => array(
						'id'      => 'size',
						'title'   => esc_html__( 'Button size', 'cheshalo' ),
						'tab'     => esc_html__( 'Style', 'cheshalo' ),
						'group'   => esc_html__( 'Icons', 'cheshalo' ),
						'type'    => 'select',
						'value'   => '',
						'options' => array(
							''      => array(
								'label' => esc_html__( 'Default (18px)', 'cheshalo' ),
								'value' => '',
							),
							'small' => array(
								'label' => esc_html__( 'Small (14px)', 'cheshalo' ),
								'value' => 'small',
							),
							'large' => array(
								'label' => esc_html__( 'Large (22px)', 'cheshalo' ),
								'value' => 'large',
							),
						),
					),
					'color'    => array(
						'id'      => 'color',
						'title'   => esc_html__( 'Color', 'cheshalo' ),
						'tab'     => esc_html__( 'Style', 'cheshalo' ),
						'group'   => esc_html__( 'Icons', 'cheshalo' ),
						'type'    => 'selector',
						'value'   => 'dark',
						'options' => array(
							'dark'  => array(
								'label' => esc_html__( 'Dark', 'cheshalo' ),
								'value' => 'dark',
							),
							'light' => array(
								'label' => esc_html__( 'Light', 'cheshalo' ),
								'value' => 'light',
							),
						),
					),
				),
			);
		}
	}
}
