/* global cheshalo_settings */
(function($) {
	cheshaloThemeModule.ajaxPortfolio = function() {
		if ('no' === cheshalo_settings.ajax_portfolio || 'undefined' === typeof ($.fn.pjax)) {
			return;
		}

		var ajaxLinks = '.wd-type-links .wd-nav-portfolio a, .tax-project-cat .wd-pagination a, .post-type-archive-portfolio .wd-pagination a';

		cheshaloThemeModule.$body.on('click', '.tax-project-cat .wd-pagination a, .post-type-archive-portfolio .wd-pagination a', function() {
			scrollToTop(true);
		});

		cheshaloThemeModule.$document.pjax(ajaxLinks, '.main-page-wrapper', {
			timeout : cheshalo_settings.pjax_timeout,
			scrollTo: false,
			renderCallback: function(context, html, afterRender) {
				cheshaloThemeModule.removeDuplicatedStylesFromHTML(html, function(html) {
					context.html(html);
					afterRender();
					cheshaloThemeModule.$document.trigger('wdPortfolioPjaxComplete');
					cheshaloThemeModule.$document.trigger('wood-images-loaded');
				});
			}
		});

		cheshaloThemeModule.$document.on('pjax:start', function() {
			var $siteContent = $('.site-content');

			$siteContent.removeClass('ajax-loaded');
			$siteContent.addClass('ajax-loading');

			cheshaloThemeModule.$document.trigger('wdPortfolioPjaxStart');
			cheshaloThemeModule.$window.trigger('scroll.loaderVerticalPosition');
		});

		cheshaloThemeModule.$document.on('pjax:end', function() {
			$('.site-content').removeClass('ajax-loading');
		});

		cheshaloThemeModule.$document.on('pjax:complete', function() {
			if (!cheshaloThemeModule.$body.hasClass('tax-project-cat') && !cheshaloThemeModule.$body.hasClass('post-type-archive-portfolio')) {
				return;
			}

			cheshaloThemeModule.$document.trigger('wood-images-loaded');

			scrollToTop(false);

			$('.wd-ajax-content').removeClass('wd-loading');
		});

		var scrollToTop = function(type) {
			if (cheshalo_settings.ajax_scroll === 'no' && type === false) {
				return false;
			}

			var $scrollTo = $(cheshalo_settings.ajax_scroll_class),
			    scrollTo  = $scrollTo.offset().top - cheshalo_settings.ajax_scroll_offset;

			$('html, body').stop().animate({
				scrollTop: scrollTo
			}, 400);
		};
	};

	$(document).ready(function() {
		cheshaloThemeModule.ajaxPortfolio();
	});
})(jQuery);
