<?php
/**
 * Product Loop Start
 *
 * @author      WooThemes
 * @package     WooCommerce/Templates
 * @version     3.3.0
 */

use XTS\Modules\Layouts\Global_Data;
use XTS\Modules\Layouts\Main;

$spacing      = cheshalo_loop_prop( 'products_spacing' ) || 0 === cheshalo_loop_prop( 'products_spacing' ) || '0' === cheshalo_loop_prop( 'products_spacing' ) ? cheshalo_loop_prop( 'products_spacing' ) : cheshalo_get_opt( 'products_spacing' );
$class        = '';
$current_view = cheshalo_loop_prop( 'products_view' );
$is_slider    = cheshalo_loop_prop( 'is_slider' );
$is_shortcode = cheshalo_loop_prop( 'is_shortcode' );
$shop_view    = cheshalo_get_opt( 'shop_view' );
$attributes   = '';

if ( ( 'grid' === $shop_view || 'list' === $shop_view ) && ! Main::get_instance()->has_custom_layout( 'shop_archive' ) ) {
	$current_view = $shop_view;
}

if ( $is_slider ) {
	$current_view = 'grid';
}

if ( $is_shortcode ) {
	$current_view = cheshalo_loop_prop( 'products_view' );
}

if ( cheshalo_loop_prop( 'products_masonry' ) ) {
	$class .= ' grid-masonry';
	wp_enqueue_script( 'imagesloaded' );
	cheshalo_enqueue_js_library( 'isotope-bundle' );
	cheshalo_enqueue_js_script( 'shop-masonry' );
}

if ( 'list' === $current_view ) {
	$class .= ' elements-list';
} else {
	$class .= ' wd-spacing-' . $spacing;
	$class .= ' grid-columns-' . cheshalo_loop_prop( 'products_columns' );
}

if ( ( cheshalo_loop_prop( 'products_bordered_grid' ) || 'enable' === cheshalo_loop_prop( 'products_bordered_grid' ) ) && 'disable' !== cheshalo_loop_prop( 'products_bordered_grid' ) ) {
	cheshalo_enqueue_inline_style( 'bordered-product' );

	if ( 'outside' === cheshalo_loop_prop( 'products_bordered_grid_style' ) ) {
		$class .= ' products-bordered-grid';
	} elseif ( 'inside' === cheshalo_loop_prop( 'products_bordered_grid_style' ) ) {
		$class .= ' products-bordered-grid-ins';
	}
}

if ( cheshalo_get_opt( 'quick_shop_variable' ) ) {
	if ( 'variation_form' === cheshalo_get_opt( 'quick_shop_variable_type', 'select_options' ) ) {
		cheshalo_enqueue_js_script( 'quick-shop-with-form' );
	} else {
		cheshalo_enqueue_js_script( 'quick-shop' );
		cheshalo_enqueue_js_script( 'swatches-variations' );
	}

	cheshalo_enqueue_js_script( 'add-to-cart-all-types' );
	wp_enqueue_script( 'wc-add-to-cart-variation' );
}

if ( cheshalo_get_opt( 'product_quantity' ) ) {
	$class .= ' wd-quantity-enabled';
}

if ( Global_Data::get_instance()->get_data( 'shop_pagination' ) ) {
	$pagination_type = Global_Data::get_instance()->get_data( 'shop_pagination' );
} else {
	$pagination_type = cheshalo_get_opt( 'shop_pagination' );
}

$class .= ' pagination-' . $pagination_type;

if ( 'none' !== cheshalo_get_opt( 'product_title_lines_limit' ) && 'list' !== $current_view ) {
	cheshalo_enqueue_inline_style( 'woo-opt-title-limit' );
	$class .= ' title-line-' . cheshalo_get_opt( 'product_title_lines_limit' );
}

// fix for price filter ajax
$min_price = isset( $_GET['min_price'] ) ? esc_attr( $_GET['min_price'] ) : '';
$max_price = isset( $_GET['max_price'] ) ? esc_attr( $_GET['max_price'] ) : '';

$product_design    = cheshalo_loop_prop( 'product_hover' );
$categories_design = cheshalo_loop_prop( 'product_categories_design' );

if ( 'list' === $current_view ) {
	$product_design = 'list';
}

if ( 'default' === $categories_design || 'alt' === $categories_design || 'center' === $categories_design || 'replace-title' === $categories_design ) {
	cheshalo_set_loop_prop( 'old_structure', true );
}

cheshalo_enqueue_product_loop_styles( $product_design );
if ( 'alt' !== $categories_design && 'inherit' !== $categories_design ) {
	cheshalo_enqueue_inline_style( 'categories-loop-' . $categories_design );
}

if ( 'center' === $categories_design ) {
	cheshalo_enqueue_inline_style( 'categories-loop-center' );
}

if ( 'replace-title' === $categories_design ) {
	cheshalo_enqueue_inline_style( 'categories-loop-replace-title' );
}

if ( 'mask-subcat' === $categories_design ) {
	cheshalo_enqueue_inline_style( 'woo-categories-loop-mask-subcat' );
}

if ( cheshalo_loop_prop( 'old_structure' ) ) {
	cheshalo_enqueue_inline_style( 'categories-loop' );
} else {
	cheshalo_enqueue_inline_style( 'woo-categories-loop' );
}

if ( ( cheshalo_loop_prop( 'stretch_product_desktop' ) || cheshalo_loop_prop( 'stretch_product_tablet' ) || cheshalo_loop_prop( 'stretch_product_mobile' ) ) && in_array( $product_design,
		array( 'icons', 'alt', 'button', 'standard', 'tiled', 'quick', 'base', 'fw-button' ) ) ) {
	cheshalo_enqueue_inline_style( 'woo-opt-stretch-cont' );
	if ( cheshalo_loop_prop( 'stretch_product_desktop' ) ) {
		$class .= ' wd-stretch-cont-lg';
	}
	if ( cheshalo_loop_prop( 'stretch_product_tablet' ) ) {
		$class .= ' wd-stretch-cont-md';
	}
	if ( cheshalo_loop_prop( 'stretch_product_mobile' ) ) {
		$class .= ' wd-stretch-cont-sm';
	}
}

$class .= ' align-items-start';

if ( 'default' !== cheshalo_loop_prop(  'products_color_scheme', 'default' ) && ( cheshalo_loop_prop( 'products_bordered_grid' ) || 'enable' === cheshalo_loop_prop( 'products_bordered_grid' ) ) && 'disable' !== cheshalo_loop_prop( 'products_bordered_grid' ) && 'outside' === cheshalo_loop_prop( 'products_bordered_grid_style' ) ) {
	$class .= ' wd-bordered-' . cheshalo_loop_prop(  'products_color_scheme' );
}

if ( cheshalo_loop_prop( 'products_with_background' ) ) {
	cheshalo_enqueue_inline_style( 'woo-opt-products-bg' );

	$class .= ' wd-products-with-bg';
}

if ( cheshalo_loop_prop( 'products_shadow' ) ) {
	cheshalo_enqueue_inline_style( 'woo-opt-products-shadow' );

	$class .= ' wd-products-with-shadow';
}

if ( ! empty( $GLOBALS['cheshalo_loop'] ) && Main::get_instance()->has_custom_layout( 'shop_archive' ) && ( 'more-btn' === $pagination_type || 'infinit' === $pagination_type ) ) {
	$loop_settings = array();
	$attr_keys     = array( 'img_size', 'img_size_custom', 'products_view', 'products_columns', 'products_columns_tablet', 'products_columns_mobile', 'products_spacing', 'product_hover', 'products_bordered_grid', 'products_bordered_grid_style', 'products_color_scheme', 'products_with_background', 'products_shadow' );

	foreach ( $attr_keys as $key ) {
		$value = cheshalo_loop_prop( $key );

		$loop_settings[ $key ] = is_bool( $value ) ? (int) $value : $value;
	}

	if ( $loop_settings ) {
		$attributes .= ' data-atts=\'' . wp_json_encode( $loop_settings ) . '\'';
	}
}
?>

<div class="products elements-grid wd-products-holder <?php echo esc_attr( $class ); ?> row" data-source="main_loop" data-min_price="<?php echo esc_attr( $min_price ); ?>" data-max_price="<?php echo esc_attr( $max_price ); ?>" data-columns="<?php echo esc_attr( cheshalo_loop_prop( 'products_columns' ) ); ?>"<?php echo wp_kses( $attributes, true ); ?>>
